Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
  • May 08 13:06

    twiddli on dev

    implement download queue ui; add collections; notifications; grouping; improv… and 26 more (compare)

  • Apr 04 18:01
    trailingslash commented #261
  • Apr 03 20:27
    trailingslash opened #261
  • Mar 28 22:12
    shanlol opened #260
  • Mar 28 22:08
    shanlol commented #222
  • Mar 28 21:25
    shanlol commented #222
  • Feb 09 01:06
    Zerendipity commented #242
  • Jan 03 15:53
    cirnosaiko opened #259
  • Oct 31 2021 18:43
    Cognitheurge opened #258
  • Oct 20 2021 22:43
    Cognitheurge commented #162
  • Sep 30 2021 21:31
    ndbiaw commented #224
  • Sep 13 2021 03:47

    twiddli on dev

    implement page navigation; add … add reader end content; minor f… add states; and 28 more (compare)

  • Sep 09 2021 09:30
    gy6221 commented #169
  • Jul 05 2021 16:01
    Dystasia commented #242
  • May 25 2021 00:38
    twiddli edited #246
  • May 25 2021 00:38
    twiddli edited #246
  • May 25 2021 00:38
    twiddli edited #246
  • May 25 2021 00:38
    twiddli edited #246
  • May 25 2021 00:38
    twiddli edited #246
  • May 25 2021 00:38
    twiddli edited #246
Twiddly
@twiddli
it can take a few seconds to connect the first time
but i'm not understanding all these errors you're getting
can you give me your error.log
MeiMei3
@MeiMei3
I let it load for 20 min and nothing
Here's the error log
Jan-01 04:15:15--WARNING happypanda.migrate: Failed to remove data/internals.db. Please remove it yourself.
Jan-01 04:53:33--ERROR [server].happypanda.core.server: A database error occured
Traceback (most recent call last):
File "happypanda\core\server.py", line 607, in advance
File "<E:\Weebshit2\doujin\HappyPandaX\decorator.pyc:decorator-gen-25>", line 2, in call_functions
File "happypanda\common\utils.py", line 1189, in only_cache_if
File "<E:\Weebshit2\doujin\HappyPandaX\decorator.pyc:decorator-gen-24>", line 2, in call_functions
File "site-packages\dogpile\cache\region.py", line 1272, in get_or_create_for_user_func
File "site-packages\dogpile\cache\region.py", line 879, in get_or_create
File "site-packages\dogpile\lock.py", line 186, in enter
File "site-packages\dogpile\lock.py", line 93, in _enter
File "site-packages\dogpile\lock.py", line 179, in _enter_create
File "site-packages\dogpile\cache\region.py", line 839, in gen_value
File "happypanda\core\server.py", line 577, in call_functions
File "happypanda\core\message.py", line 197, in append
File "happypanda\core\message.py", line 80, in json_friendly
File "happypanda\core\message.py", line 982, in data
File "happypanda\core\message.py", line 346, in json_friendly
File "happypanda\core\message.py", line 320, in data
File "happypanda\core\db.py", line 3688, in table_values
File "site-packages\sqlalchemy\orm\state.py", line 878, in value
File "site-packages\sqlalchemy\orm\attributes.py", line 282, in get
File "site-packages\sqlalchemy\orm\attributes.py", line 708, in get
File "site-packages\sqlalchemy\orm\strategies.py", line 439, in call
File "site-packages\sqlalchemy\orm\strategies.py", line 412, in _load_for_state
sqlalchemy.orm.exc.DetachedInstanceError: Parent instance <Page at 0xabfa410> is not bound to a Session; deferred load operation of attribute 'last_updated' cannot proceed (Background on this error at: http://sqlalche.me/e/bhk3)
Jan-01 02:02:23--WARNING [server].happypanda.core.server: Failed to start server because the address is already in use. Ensure that no other application or HPX isntances are using the same address
Jan-01 02:03:34--WARNING [server].happypanda.core.server: Failed to start server because the address is already in use. Ensure that no other application or HPX isntances are using the same address
Jan-01 02:03:58--WARNING [server].happypanda.core.server: Failed to start server because the address is already in use. Ensure that no other application or HPX isntances are using the same address
Jan-01 16:38:08--WARNING [server].happypanda.core.server: Failed to start server because the address is already in use. Ensure that no other application or HPX isntances are using the same address
Twiddly
@twiddli
Change the default ports 7008 and 7007 to something else like 9871 and 9872
MeiMei3
@MeiMei3
Same problem, just an endless loading screen
Twiddly
@twiddli
Then i really have no clue
If it's not the port not being free, somehow you have two HPX instances running, and your server settings looked fine
then i wouldnt know
SophtwhereDev
@SophtwhereDev_gitlab
@twiddli Hi, really sorry for the delay in getting back to you. That log file is from the HPX GUI, I didn't realise the plugins had their own logs. Let me try to look for that and get it to you
SophtwhereDev
@SophtwhereDev_gitlab
Found it! The error seems to imply that the gallery object doesn't have a last_page attribute
SmoofBrane
@SmoofBrane
Hi, I'm very new to this program, and it took me a few tries to get the server working. However, I haven't the slightest clue how to add galleries to my sever. Also, since I mainly use exhentai, I'd like to use the plugin which downloads and imports a gallery to the server, which for me however hasn't worked yet. Every time I try to download a gallery I get the error: "DownloadError('The resource could not be found in the cache directory downloads',)". I'm very willing and happy to share any other information if needed, and I'm very eager to use this program in the future.
Twiddly
@twiddli
Hello, firstly, exhentai, did you activate the Login plugin and put in your info?
without that, downloading from exhentai won't work
to download, click on the + icon on the menu
then you can either add a single gallery, or scan for multiple galleries
from your computer
Twiddly
@twiddli
@SophtwhereDev_gitlab please send me the whole file
SmoofBrane
@SmoofBrane
@twiddli Hiya, thanks for the response. I have logged in with the plugin, but I'm still getting the error. Please refer to the log above for details
Twiddly
@twiddli
Do you have enough credits/GP?
SophtwhereDev
@SophtwhereDev_gitlab

plugin.log

@twiddli The message I sent here contains the whole plugin.log file, do you want some other log as well?

Carl
@CarlCarlson_gitlab
Is there a way to check the validity of galleries in the database? Like check for galleries that no longer lead to valid archives?
Yes through the client API
Carl
@CarlCarlson_gitlab
I'm afraid I don't know how to use that. Where do I type in the command?
Carl
@CarlCarlson_gitlab
and will that scan the entire database?
Twiddly
@twiddli
So you want a list of galleries that don't point to any valid sources?
Carl
@CarlCarlson_gitlab
that's right
Emmanuel Hansen
@emmauss
I keep getting errors when trying to scan and add
Emmanuel Hansen
@emmauss
trying to add another set again, and I get this
Mar-03 22:00:58--DEBUG  [command].happypanda.core.command: Calling main function of command: AddItem 
Mar-03 22:00:58--INFO   [command].happypanda.core.commands.database_cmd: Adding 9900 items 
Mar-03 22:00:58--DEBUG  [core].happypanda.core.async_utils: Running <bound method AddItem._add_to_db of <happypanda.core.commands.database_cmd.AddItem object at 0x08892468>> in native thread 
Mar-03 22:00:58--DEBUG  [server].happypanda.core.server: Client disconnected ('127.0.0.1', 51570) 
Mar-03 22:00:58--DEBUG  [server].happypanda.core.server: Client disconnected ('127.0.0.1', 51576) 
Mar-03 22:00:59--DEBUG  [server].happypanda.core.server: Client disconnected ('127.0.0.1', 51572) 
Mar-03 22:00:59--DEBUG  [server].happypanda.core.server: Client disconnected ('127.0.0.1', 51573) 
Mar-03 22:00:59--DEBUG  [server].happypanda.core.server: Client disconnected ('127.0.0.1', 51575) 
Mar-03 22:10:04--ERROR  [command].happypanda.core.commands.database_cmd: An error occurred when adding item 
Traceback (most recent call last):
  File "site-packages\sqlalchemy\orm\session.py", line 2557, in _flush
  File "site-packages\sqlalchemy\orm\unitofwork.py", line 403, in execute
  File "site-packages\sqlalchemy\orm\unitofwork.py", line 361, in _generate_actions
  File "site-packages\sqlalchemy\orm\unitofwork.py", line 490, in execute
MemoryError

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "happypanda\core\commands\database_cmd.py", line 1188, in _add_to_db
  File "happypanda\core\commands\database_cmd.py", line 1139, in _add_item
  File "site-packages\sqlalchemy\orm\session.py", line 1027, in commit
  File "site-packages\sqlalchemy\orm\session.py", line 494, in commit
  File "site-packages\sqlalchemy\orm\session.py", line 473, in _prepare_impl
  File "site-packages\sqlalchemy\orm\session.py", line 2459, in flush
  File "site-packages\sqlalchemy\orm\session.py", line 2597, in _flush
  File "site-packages\sqlalchemy\util\langhelpers.py", line 79, in __exit__
  File "site-packages\sqlalchemy\util\compat.py", line 153, in reraise
  File "site-packages\sqlalchemy\orm\session.py", line 2597, in _flush
  File "site-packages\sqlalchemy\orm\session.py", line 534, in rollback
  File "site-packages\sqlalchemy\orm\session.py", line 361, in _restore_snapshot
MemoryError
Mar-03 22:10:12--ERROR  [command].happypanda.core.commands.database_cmd: An error occurred when adding item 
Traceback (most recent call last):
  File "happypanda\core\commands\database_cmd.py", line 1188, in _add_to_db
  File "happypanda\core\commands\database_cmd.py", line 1139, in _add_item
  File "site-packages\sqlalchemy\orm\session.py", line 1027, in commit
  File "site-packages\sqlalchemy\orm\session.py", line 492, in commit
  File "site-packages\sqlalchemy\orm\session.py", line 299, in _assert_active
sqlalchemy.exc.InvalidRequestError: This session is in 'inactive' state, due to the SQL transaction being rolled back; no further SQL can be emitted within this transaction.
Twiddly
@twiddli
I'm in the midst of changing the way galleries are added to be more efficient in both memory and speed. I think this error will be fixed with it.
Emmanuel Hansen
@emmauss
ok
SophtwhereDev
@SophtwhereDev_gitlab

Hi @twiddli sorry for the delay, so I figured I'd extend the File Metadata plugin based on the code snippet you gave me above and it seems to throw an AttributeError and no metadata is loaded when trying to add a gallery:

@twiddli Could you help me out with this?

plugin.log

This is the log file you asked for

Twiddly
@twiddli
Oh right, hmm, it seems last_page hasn't been loaded, try replacing page_id = gallery.last_page.idwith
gallery.session.refresh(gallery, ['last_page'])
page_id = gallery.last_page.id
SophtwhereDev
@SophtwhereDev_gitlab
@twiddli thanks, I just tried this but it still didn't work out, it's another NoneType:
Mar-03 19:55:42--INFO   pluginctx.file-metadata.main: Attempting with DataType.eze
Mar-03 19:55:42--INFO   pluginctx.file-metadata.main: DataType.eze matched!
Mar-03 19:55:42--ERROR  pluginctx.file-metadata: An unhandled exception 'AttributeError' was raised by plugin handler on command 'GalleryFS.parse_metadata_file'
Traceback (most recent call last):
  File "happypanda/core/plugins.py", line 672, in _unhandled_exception
  File "happypanda/core/plugins.py", line 484, in iter_call_handlers
  File "happypanda/core/plugins.py", line 690, in _call_handler
  File "happypanda/core/plugins.py", line 835, in call_handler
  File "/run/media/y/BACK UP/cr_hdd/hpx/data/__plugins__/e38e24e4-8ca8-420e-b52b-c75510097653.hpxplugin.zip/main.py", line 225, in parse
    return apply_file_metadata(gallery, f)
  File "/run/media/y/BACK UP/cr_hdd/hpx/data/__plugins__/e38e24e4-8ca8-420e-b52b-c75510097653.hpxplugin.zip/main.py", line 218, in apply_file_metadata
    apply_metadata(cdata, gallery)
  File "/run/media/y/BACK UP/cr_hdd/hpx/data/__plugins__/e38e24e4-8ca8-420e-b52b-c75510097653.hpxplugin.zip/main.py", line 172, in apply_metadata
    gallery.session.refresh(gallery, ['last_page'])
AttributeError: 'NoneType' object has no attribute 'refresh'
EnoEkow
@EnoEkow
ay, the fudge happened with your twitter? It was gone a couple of days ago when I last checked it
Twiddly
@twiddli
@EnoEkow changed to @twiddly_ but that was a long time ago
@SophtwhereDev_gitlab i'll make it work on my end first, then send you something that works
SophtwhereDev
@SophtwhereDev_gitlab
@twiddli Alright then thanks a lot I really appreciate it!
Klatrymadon
@hyperborean___twitter
So, originally a new release was gonna be pushed out in january, is this project dead now?
Twiddly
@twiddli
no, still working on it, something just came up
Carl
@CarlCarlson_gitlab
has there been any progress on adding duplicate scan functionality back into happypandax?
Twiddly
@twiddli
no that's not a feature im working on right now
what kind of duplicate scan are you talking about though?